<template>
   <b-container fluid>
       <b-card>
           <b-row>
               <b-col md="3">
               <h3 class="card-title">DANH SÁCH ĐẠI LÝ </h3>
               </b-col>
               <b-col md="9">
                    <a href="http://mtk.test/agency/create"><button class="btn btn-md btn-fw btn-success pull-right"><i class="fa fa-plus"></i>Tạo mới</button></a>
               </b-col>
              
           </b-row>
    <!-- <vue-good-table
      :columns="columns"
      :rows="sortedPayments"
      styleClass="table table-hover"/> -->
        <b-row>
            <b-col md="3" class="my-1">
                <b-form-group horizontal label="Hiển thị">
                    <b-form-select :options="pageOptions" v-model="perPage" />
                </b-form-group>
            </b-col>

        </b-row>
      <b-table striped hover 
               :items="agencies" 
               :fields="fields"
               :current-page="currentPage"
               :per-page="perPage">
         
                     <template slot="actions" slot-scope="row">
        <!-- We use @click.stop here to prevent a 'row-clicked' event from also happening -->
       <b-button size="sm" @click.stop="showAddPaymentModal(row.item, row.index, $event.target)" class="mr-1" variant="primary">
          Thu tiền
        </b-button>
        <router-link :to="{ name: 'agency.edit', params: { id: row.item.id }}"><b-button size="sm" class="mr-1" variant="info">Edit</b-button></router-link>
      </template>  
      </b-table>
          <b-row>
      <b-col md="6" class="my-1">
        <b-pagination :total-rows="totalRows" :per-page="perPage" v-model="currentPage" class="my-0" />
      </b-col>
    </b-row>
</b-card>
<add-payment-modal ref="paymentModal" :agency="selectedAgency"></add-payment-modal>
   </b-container>

</template>

<script>
import { alerts } from '../../utils';
import { event } from '../../utils';
import { http } from '../../services'
import AddPaymentModal from '../payments/AddPaymentModal';

export default {
    name: 'agency-table',
    components:{ AddPaymentModal },
    data() {
        return {
            fields: [{
                    key: 'id',
                    label: 'Mã ĐL',
                    sortable: true
                },
                {
                    key: 'name',
                    label: 'Tên đại lý',
                    sortable: true
                },
                {
                    key: 'owner.name',
                    label: 'Chủ đại lý',
                    sortable: true
                },
                {
                    key: 'province.name',
                    label: 'Tỉnh/Thành',
                    sortable: true
                },
                {
                    key: 'salesman.name',
                    label: 'Nhân viên GD',
                    sortable: true,
 
                },
                {
                    key: 'revenue',
                    label: 'Tổng thu',
                    sortable: true,
                    formatter: (value) => {
                        return Comma(value)
                    }
                },
                {
                    key: 'actions',
                    label: 'Actions'
                }
            ],
            agencies: [

            ],
            selectedAgency:{
                type:Object
            },
            openAddPaymentModal: false,
            currentPage: 1,
            perPage: 5,
            totalRows: 0,
            pageOptions: [5, 10, 15],
        };
    },
    created() {
        this.fetchAgencies();
    },
    methods: {
        fetchAgencies() {
            http.get('/agency', (response) => {
                //console.log(response);
                    this.agencies = response.data.data;
                    this.totalRows = response.data.data.length;
            })
        },
        moment: function () {
            return moment();
        },
        showAddPaymentModal(item, index, button) {
           // console.log(item);
           this.selectedAgency = item;
           // event.emit('showmodal');
           // this.$emit('show-modal', item);
           this.$refs.paymentModal.showModal();
        }
        

    },
    computed: {
       
    }
};
</script>